#
# spec file for package licq (Version 1.0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  fam gpp kdelibs kdelibs-devel libgpp libjpeg liblcms libmng libpng mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd kdelibs kdelibs-devel less libgpp libjpeg liblcms libmng libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         licq
Copyright:    Graham Roff/Dirk Mueller
Group:        Applications/Networking
Autoreqprov:  on
Version:      1.0.3
Release:      225
Summary:      Linux ICQ client
Source:       licq-%{version}.tar.bz2
URL:          http://www.licq.org/
# Patch:        licq-%{version}.dif 
BuildRoot:    /var/tmp/%{name}-root

%description
This package contains a Linux ICQ client.

SuSE series: n

%prep
%setup -n licq-%{version}
# %patch 

%build
./configure --prefix=/usr
make
make  DESTDIR=$RPM_BUILD_ROOT install 
%define rms_version 0.22
%define console_version 1.0.2
%define forwarder_version 1.0.1
%define qt_gui_version  1.0.3 
%define auto_reply_version 1.0.1
( cd plugins/rms-%{rms_version}
  ./configure --prefix=/usr
  make
)
( cd plugins/console-%{console_version}
  ./configure --prefix=/usr
  make
)
( cd plugins/forwarder-%{forwarder_version}
  ./configure --prefix=/usr
  make
)
( cd plugins/qt-gui-%{qt_gui_version}
  ./configure --prefix=/usr --with-qt=/usr/lib/qt2 --with-kde
  make
)
( cd plugins/auto-reply-%{auto_reply_version}
  ./configure --prefix=/usr
  make
)

%install
( cd plugins/rms-%{rms_version}
  make  DESTDIR=$RPM_BUILD_ROOT install
)
( cd plugins/console-%{console_version}
  make  DESTDIR=$RPM_BUILD_ROOT install
)
( cd plugins/forwarder-%{forwarder_version}
  make  DESTDIR=$RPM_BUILD_ROOT install
)
( cd plugins/qt-gui-%{qt_gui_version}
  make  DESTDIR=$RPM_BUILD_ROOT install
)
( cd plugins/auto-reply-%{auto_reply_version}
  make  DESTDIR=$RPM_BUILD_ROOT install
)
# docs
mkdir -p  $RPM_BUILD_ROOT/usr/share/doc/packages/licq
rm -rf doc/CVS
install -o root -g root -m 644 doc/*  $RPM_BUILD_ROOT/usr/share/doc/packages/licq
chmod 755 `find $RPM_BUILD_ROOT/usr/share/licq -type d`

%files
%doc /usr/share/doc/packages/licq/
/usr/bin/licq
/usr/bin/viewurl-lynx.sh
/usr/bin/viewurl-ncftp.sh
/usr/bin/viewurl-netscape.sh
/usr/bin/viewurl-w3m.sh
/usr/lib/licq/
/usr/share/licq/
/usr/include/licq/

%changelog -n licq
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild again
* Fri Jun 29 2001 - ro@suse.de
- updated neededforbuild
- removed ILLEGAL links
* Thu Jun 07 2001 - pblaha@suse.cz
- add more into #needforbuild build for compile qt-qui plugin
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - pblaha@suse.cz
- fix my error with one %%define version macro
* Thu Mar 15 2001 - pblaha@suse.cz
- add build root
* Wed Mar 07 2001 - pblaha@suse.cz
- update on 1.0.3
* Thu Feb 22 2001 - pblaha@suse.cz
- use patch for fix small ugly security problem with URL viewer
* Mon Feb 12 2001 - pblaha@suse.cz
- added URL
* Thu Feb 08 2001 - sndirsch@suse.de
- added security fix (remotely exploitable flaw)
* Tue Jan 02 2001 - sndirsch@suse.de
- update to release 1.0.2 (now also works with KDE2)
* Tue Dec 19 2000 - sndirsch@suse.de
- "chmod 755" for all licq directories
* Thu Nov 23 2000 - sndirsch@suse.de
- #neededforbuild += openssl-devel
* Wed Nov 08 2000 - sndirsch@suse.de
- updated to release 1.0
* Sun Nov 05 2000 - kukuk@suse.de
- adjust neededfobuild
* Thu Jul 27 2000 - sndirsch@suse.de
- created package
